package com.zd.airbottle.domain.vo;

import com.zd.airbottle.domain.QpTaskDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liujh
 * @Date: 2022/05/12/13:57
 * @Description:
 */
public class QpTaskDetailVO extends QpTaskDetail {

    @ApiModelProperty("气体规格")
    private String gasNorms;//气体规格
    @ApiModelProperty("气体名称")
    private String airName;//气体名称
    @ApiModelProperty("气体成分")
    private String airConstituents;//气体成分
    @ApiModelProperty("供应商")
    private String companyName;//供应商
    private List<QpTaskVO> taskVOListVO;//待办清单集合
    private List<QpTaskDetailVO> detailListVO;//清单详情VO
    private Long parentId;//货品规格详情ID
    private String parent;//根节点
    private String specValue;//规格值
    private String location;//实验室
    private Long airStatus;//入库状态
    private String configName;//配置名称
    private String campus;//校区
    private String building;//楼栋
    private String room;//房间号

    public String getGasNorms() {
        return gasNorms;
    }

    public void setGasNorms(String gasNorms) {
        this.gasNorms = gasNorms;
    }

    public String getAirName() {
        return airName;
    }

    public void setAirName(String airName) {
        this.airName = airName;
    }

    public String getAirConstituents() {
        return airConstituents;
    }

    public void setAirConstituents(String airConstituents) {
        this.airConstituents = airConstituents;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public List<QpTaskVO> getTaskVOListVO() {        return taskVOListVO;    }

    public void setTaskVOListVO(List<QpTaskVO> taskVOListVO) {        this.taskVOListVO = taskVOListVO;    }

    public List<QpTaskDetailVO> getDetailListVO() {
        return detailListVO;
    }

    public void setDetailListVO(List<QpTaskDetailVO> detailListVO) {
        this.detailListVO = detailListVO;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public String getSpecValue() {        return specValue;    }

    public void setSpecValue(String specValue) {        this.specValue = specValue;    }

    public String getLocation() {        return location;    }

    public void setLocation(String location) {        this.location = location;    }

    public Long getAirStatus() {        return airStatus;    }

    public void setAirStatus(Long airStatus) {        this.airStatus = airStatus;    }

    public String getConfigName() {        return configName;    }

    public void setConfigName(String configName) {        this.configName = configName;    }

    public String getCampus() {        return campus;    }

    public void setCampus(String campus) {        this.campus = campus;    }

    public String getBuilding() {        return building;    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }
}
